Subject: (urth) Jeffrey Ford sightings

From: Michael Andre-Driussi <mantis at siriusfiction.com>
Date: Thu, 14 Aug 2003 23:14:38 +0000

Allan Lloyd wrote:

>I've just taken delivery of Jeffrey Ford's collection "The Fantasy Writer's
>Assistant and other stoies", and the stories look quite Wolfe-like. (This is
>only a first impression; I look forward to reading some tonight).

One of the few residual pleasures from my sentence (objectively
short/subjectively long) as a small press magazine editor/co-owner was
granted to me just a few weeks ago when I took up that book and turned to
the page where original publication venues are noted.  There I saw the name
of my wretched little magazine, "Aberrations."  Touching.

I was somewhat surprised that Jeffrey Ford did not include at least one of
the others I bought from him and published -- collectors take note!  I'm
thinking of "The White Man."

=mantis=

--